CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

SCMDefaultMode 属性 (ActiveX)

2023-1-3 06:57| 发布者: admin| 查看: 183| 评论: 0|来自: AutoCAD

摘要: 确定在默认模式下绘图区域中的右键单击功能,这意味着不会选择任何对象,也不会执行任何命令。

确定在默认模式下绘图区域中的右键单击功能,这意味着不会选择任何对象,也不会执行任何命令。

支持的平台:仅窗口

签名

工 务 局:

object.SCMDefaultMode
对象

类型:首选项用户

此属性适用的对象。

属性值

只读:

类型:枚举AcDrawingAreaSCMDefault

  • acRepeatLastCommand:禁用默认快捷菜单。因此,在未选择任何对象且未执行任何命令时在绘图区域中单击鼠标右键会发出 Enter 问题,从而重复上次发出的命令。
  • acSCM:启用默认快捷菜单。

言论

此属性的初始值为。acSCM

仅当属性设置为时,才能设置此属性。ShortcutMenuDisplayTrue

注意:此属性的值存储在快捷方式菜单系统变量中。

例子

工 务 局:

Sub Example_SCMDefaultMode()
    ' This example reads and modifies the SCMDefaultMode
    ' preference value.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesUser
    Dim originalValue As Integer, newValue As Integer
    
    ' Get the user preferences object

    Set ACADPref = ThisDrawing.Application.Preferences.User
    
    ' Read and display the original value
    originalValue = ACADPref.SCMDefaultMode
    MsgBox "The SCMDefaultMode preference is set to: " & originalValue

    ' Modify the SCMDefaultMode preference by toggling the value
    ACADPref.SCMDefaultMode = acRepeatLastCommand

    MsgBox "The SCMDefaultMode preference has been set to: " & ACADPref.SCMDefaultMode

    ' Reset the preference back to its original value
    ACADPref.SCMDefaultMode = originalValue
    MsgBox "The SCMDefaultMode preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_SCMDefaultMode()
    ;; This example reads and modifies the SCMDefaultMode
    ;; preference value.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-SCMDefaultMode (vla-get-User preferences)))
    (alert (strcat "The SCMDefaultMode preference is set to: " (itoa originalValue)))

    ;; Modify the SCMDefaultMode preference by toggling the value
    (vla-put-SCMDefaultMode (vla-get-User preferences) acRepeatLastCommand)
    (alert (strcat "The SCMDefaultMode preference has been set to: " (itoa (vla-get-SCMDefaultMode (vla-get-User preferences)))))

    ;; Reset the preference back to its original value
    (vla-put-SCMDefaultMode (vla-get-User preferences) originalValue)
    (alert (strcat "The SCMDefaultMode preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 13:08

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部